> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity Details (Banking Connectivity)

Retrieve the details of an existing entity. Sensitive fields are masked in the response.


## OpenAPI

````yaml openapi/banking-connectivity/entities-banking-connectivity/get-entity-details.json GET /banking/entities/{entity_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Banking Connectivity
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /banking/entities/{entity_id}:
    get:
      tags:
        - Entities (Banking Connectivity)
      summary: Get Entity Details (Banking Connectivity)
      operationId: get_v1-banking-connectivity-entities-entity-id
      parameters:
        - in: path
          name: entity_id
          schema:
            type: string
          required: true
          description: >-
            The `id` of the entity obtained from [Create
            Entity](/reference/create-entity)
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                OK:
                  summary: OK
                  value:
                    account_id: 550e8400-e29b-41d4-a716-446655440000
                    merchant_entity_id: merchant_user_12345
                    national_entity: INDIVIDUAL
                    phone:
                      country_code: '+1'
                      number: '2025551234'
                    address:
                      address_line_1: 123 Main St
                      address_line_2: Apt 4B
                      building_number_1: '123'
                      building_number_2: null
                      city: San Francisco
                      state: CA
                      zip_code: '94102'
                      country: US
                    entity_detail:
                      individual:
                        first_name: John
                        last_name: Doe
                        email: john@example.com
                        date_of_birth: '1990-01-15'
                        gender: M
                        country_of_residence: US
                        tax_information:
                          - country: US
                            tax_id: 123-45-6789
                            tax_id_type: SSN
                            is_primary: true
                        document:
                          document_type: SSN
                          document_number: 123-45-6789
                          issuing_country: US
                          issued_at: '2010-01-15'
                          expires_at: '2030-01-15'
                      entity: null
              schema:
                type: object
                properties:
                  account_id:
                    type: string
                    example: 550e8400-e29b-41d4-a716-446655440000
                  merchant_entity_id:
                    type: string
                    example: merchant_user_12345
                  national_entity:
                    type: string
                    example: INDIVIDUAL
                  phone:
                    type: object
                    properties:
                      country_code:
                        type: string
                        example: '+1'
                      number:
                        type: string
                        example: '2025551234'
                  address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 123 Main St
                      address_line_2:
                        type: string
                        example: Apt 4B
                      building_number_1:
                        type: string
                        example: '123'
                      building_number_2: {}
                      city:
                        type: string
                        example: San Francisco
                      state:
                        type: string
                        example: CA
                      zip_code:
                        type: string
                        example: '94102'
                      country:
                        type: string
                        example: US
                  entity_detail:
                    type: object
                    properties:
                      individual:
                        type: object
                        properties:
                          first_name:
                            type: string
                            example: John
                          last_name:
                            type: string
                            example: Doe
                          email:
                            type: string
                            example: john@example.com
                          date_of_birth:
                            type: string
                            example: '1990-01-15'
                          gender:
                            type: string
                            example: M
                          country_of_residence:
                            type: string
                            example: US
                          tax_information:
                            type: array
                            items:
                              type: object
                              properties:
                                country:
                                  type: string
                                  example: US
                                tax_id:
                                  type: string
                                  example: 123-45-6789
                                tax_id_type:
                                  type: string
                                  example: SSN
                                is_primary:
                                  type: boolean
                                  example: true
                                  default: true
                          document:
                            type: object
                            properties:
                              document_type:
                                type: string
                                example: SSN
                              document_number:
                                type: string
                                example: 123-45-6789
                              issuing_country:
                                type: string
                                example: US
                              issued_at:
                                type: string
                                example: '2010-01-15'
                              expires_at:
                                type: string
                                example: '2030-01-15'
                      entity: {}
        '401':
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Unauthorized:
                  summary: Unauthorized
                  value:
                    code: NOT_AUTHENTICATED
                    messages:
                      - Missing required authentication headers
                    http_code: 401
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Entity Not Found:
                  summary: Entity Not Found
                  value:
                    code: ENTITY_NOT_FOUND
                    messages:
                      - Entity not found
                    http_code: 404
          description: Not Found
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````